#!/usr/bin/with-contenv bash

envsubst '
$DANTE_LISTEN_INTERFACE
$DANTE_LISTEN_PORT
$DANTE_FORWARD_INTERFACE
' < /etc/dante/danted.conf.template > /etc/dante/danted.conf

if ip address show $DANTE_FORWARD_INTERFACE&>/dev/null; then
    sockd -f /etc/dante/danted.conf
else
    echo "Waiting for interface $DANTE_FORWARD_INTERFACE to come online..."
    sleep 5
fi
